import request from '@/utils/request'

// 查询订单通知用户 接收订单通知的用户列表
export function listStoreOrderNotice(query) {
  return request({
    url: '/store/storeOrderNotice/list',
    method: 'get',
    params: query
  })
}

// 查询订单通知用户 接收订单通知的用户详细
export function getStoreOrderNotice(id) {
  return request({
    url: '/store/storeOrderNotice/' + id,
    method: 'get'
  })
}

// 新增订单通知用户 接收订单通知的用户
export function addStoreOrderNotice(data) {
  return request({
    url: '/store/storeOrderNotice',
    method: 'post',
    data: data
  })
}

// 修改订单通知用户 接收订单通知的用户
export function updateStoreOrderNotice(data) {
  return request({
    url: '/store/storeOrderNotice',
    method: 'put',
    data: data
  })
}

// 删除订单通知用户 接收订单通知的用户
export function delStoreOrderNotice(id) {
  return request({
    url: '/store/storeOrderNotice/' + id,
    method: 'delete'
  })
}

// 导出订单通知用户 接收订单通知的用户
export function exportStoreOrderNotice(query) {
  return request({
    url: '/store/storeOrderNotice/export',
    method: 'get',
    params: query
  })
}